# ---------------------------------------------------------------------

# Paper:       	N.M. Tran, M. Osipenko, and W.K. Hrdle

#			"Principal Component Analysis in an Asymmetric Norm"

# ---------------------------------------------------------------------

# Quantlet:    	simeval.R

# ---------------------------------------------------------------------

# Description: 	Function to evaluate the simulaiton
# ---------------------------------------------------------------------

# Usage:       	calles algeval.R
# ---------------------------------------------------------------------

# Inputs:      	see below

# ---------------------------------------------------------------------

# Output:      	see below

# ---------------------------------------------------------------------
# Example:     	-

# ---------------------------------------------------------------------

# Author:      	Maria Osipenko

# ---------------------------------------------------------------------



#--- FUNCTION: simulation evaluation 
simeval <- function
###Evaluates computing analoges of principal components for expectiles by Bottom Up and TopDown an PrincipalExpectile algorithms via algeval for K simulation trials
###Returns array dimension c(p,,K) columnwise:  1-(nc*3) estimated principal directions by bup, td and pec, 6-9 constant terms, 10[1:3] average mean squared errors, 10[4:6] computational time, 10[7:9] indicator of convergence, 10[10:12] residual sum of squares
(X,
### X
###vectorized matrix of dimensions (2pn+4),1) x length(tauseq)K. One column is a vectorized matrix p x(2n+1) where:first n columns contain simulated curves (data), next n columns contain theoretical expectile curves, last column [1] contains tau expectile level
tol = 1e-05, nc = 2, #number of principal directions to estimate
max.iter = 50
){	
	results =apply(X,MARGIN=2,tryCatch(algeval))
	return(results)
}

	
